Recommended update for go1.10

SUSE Recommended Update: Recommended update for go1.10
Announcement ID: SUSE-RU-2020:1229-1
Rating: moderate
References: #1098017 #1113978
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1

An update that has two recommended fixes can now be installed.

Description:

This update for go1.10 fixes the following issues:

  • Fix build error with gcc on ppc64le. (bsc#1113978, bsc#1098017)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1229=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • go1.10-1.10.8-1.11.1
    • go1.10-doc-1.10.8-1.11.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (x86_64):
    • go1.10-race-1.10.8-1.11.1

References: